### Struct

# Clutter Margin

#### Description [src]

    struct ClutterMargin {
      float left;
      float right;
      float top;
      float bottom;
    }

A representation of the components of a margin.

###### Structure members

`left`

  The margin from the left.

`right`

  The margin from the right.

`top`

  The margin from the top.

`bottom`

  The margin from the bottom.

#### Constructors

###### clutter_margin_new

Creates a new `ClutterMargin`.

#### Instance methods

###### clutter_margin_copy

Creates a new `ClutterMargin` and copies the contents of `margin_` into the newly created structure.

###### clutter_margin_free

Frees the resources allocated by `clutter_margin_new()` and `clutter_margin_copy()`.